Bug 186650 - [PATCH] net-im/licq-qt-gui: fix build on FreeBSD 10+
Summary: [PATCH] net-im/licq-qt-gui: fix build on FreeBSD 10+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-11 13:50 UTC by Vsevolod Volkov
Modified: 2014-02-13 21:10 UTC (History)
0 users

See Also:


Attachments
file.txt (445 bytes, text/plain)
2014-02-11 13:50 UTC, Vsevolod Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Volkov 2014-02-11 13:50:01 UTC
1. USE_GCC shoud be removed because qt-gui plugin does not work with licq compiled with clang.

2. Building qt-gui with clang fails due to missing #include <time.h> in 2 headers.

Fix: 1. Apply patch to the port's Makefile:

--- Makefile.orig
+++ Makefile
@@ -3,7 +3,7 @@
 
 PORTNAME=      qt4-gui
 PORTVERSION=   1.8.0
-PORTREVISION=  1
+PORTREVISION=  2
 CATEGORIES=    net-im
 PKGNAMESUFFIX?=        ${KDE_SUFFIX}${PKGNAMESUFFIX2}
 
@@ -15,7 +15,6 @@
 LIB_DEPENDS=   libboost_regex.so:${PORTSDIR}/devel/boost-libs
 RUN_DEPENDS=   ${LOCALBASE}/lib/licq/protocol_icq.so:${PORTSDIR}/${LICQ_PORT}-i
 
-USE_GCC=       yes
 USE_XORG=      x11 xext ice xscrnsaver
 USES=          cmake
 USE_QT4=       qmake_build moc_build rcc_build uic_build linguist_build

2. Put the attached patch to /usr/ports/net-im/licq-qt-gui/files/ and rebuild net-im/licq-qt-gui port.

Patch attached with submission follows:
How-To-Repeat: 1. portmaster net-im/licq-qt-gui
2. Start licq
Comment 1 Edwin Groothuis freebsd_committer 2014-02-11 13:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-13 21:05:24 UTC
Author: dinoex
Date: Thu Feb 13 21:05:16 2014
New Revision: 344146
URL: http://svnweb.freebsd.org/changeset/ports/344146
QAT: https://qat.redports.org/buildarchive/r344146/

Log:
  - fix build with clang
  PR:		186650
  Submitted by:	Vsevolod Volkov

Added:
  head/net-im/licq-qt-gui/files/
  head/net-im/licq-qt-gui/files/patch-contactuserdata.h   (contents, props changed)
  head/net-im/licq-qt-gui/files/patch-usereventcommon.h   (contents, props changed)

Added: head/net-im/licq-qt-gui/files/patch-contactuserdata.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/licq-qt-gui/files/patch-contactuserdata.h	Thu Feb 13 21:05:16 2014	(r344146)
@@ -0,0 +1,11 @@
+--- src/contactlist/contactuserdata.h.orig	2013-08-25 11:45:17.000000000 +0200
++++ src/contactlist/contactuserdata.h	2014-02-13 21:44:51.000000000 +0100
+@@ -20,6 +20,8 @@
+ #ifndef CONTACTUSERDATA_H
+ #define CONTACTUSERDATA_H
+ 
++#include <time.h>
++
+ #include <QList>
+ #include <QString>
+ #include <QTimer>

Added: head/net-im/licq-qt-gui/files/patch-usereventcommon.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/licq-qt-gui/files/patch-usereventcommon.h	Thu Feb 13 21:05:16 2014	(r344146)
@@ -0,0 +1,11 @@
+--- src/userevents/usereventcommon.h.orig	2013-08-25 11:45:17.000000000 +0200
++++ src/userevents/usereventcommon.h	2014-02-13 21:45:16.000000000 +0100
+@@ -20,6 +20,8 @@
+ #ifndef USEREVENTCOMMON_H
+ #define USEREVENTCOMMON_H
+ 
++#include <time.h>
++
+ #include <QWidget>
+ 
+ #include <list>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-02-13 21:07:52 UTC
Author: dinoex
Date: Thu Feb 13 21:07:44 2014
New Revision: 344147
URL: http://svnweb.freebsd.org/changeset/ports/344147
QAT: https://qat.redports.org/buildarchive/r344147/

Log:
  -  fix build with clang
  retry, cause svn failed
  PR:		186650
  Submitted by:	Vsevolod Volkov

Modified:
  head/net-im/licq-qt-gui/Makefile

Modified: head/net-im/licq-qt-gui/Makefile
==============================================================================
--- head/net-im/licq-qt-gui/Makefile	Thu Feb 13 21:05:16 2014	(r344146)
+++ head/net-im/licq-qt-gui/Makefile	Thu Feb 13 21:07:44 2014	(r344147)
@@ -15,7 +15,6 @@ LICENSE=	GPLv2
 LIB_DEPENDS=	libboost_regex.so:${PORTSDIR}/devel/boost-libs
 RUN_DEPENDS=	${LOCALBASE}/lib/licq/protocol_icq.so:${PORTSDIR}/${LICQ_PORT}-icq
 
-USE_GCC=	yes
 USE_XORG=	x11 xext ice xscrnsaver
 USES=		cmake
 USE_QT4=	qmake_build moc_build rcc_build uic_build linguist_build
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2014-02-13 21:08:47 UTC
State Changed
From-To: open->closed

committed, thanks.